warrenActivity
A page of activity across your warren, newest first. The warrenActivity query in Bunny's GraphQL API, with its arguments, return type and an example request.
Scope required:
For a complete list of possible response fields see the AccountActivity type.
query warrenActivity ($first: Int, $after: String, $categories: [AccountActivityCategory!], $actorType: String, $actorId: ID, $writtenBy: EventWrittenBy, $dateFrom: ISO8601Date, $dateTo: ISO8601Date, $search: String) {
warrenActivity (first: $first, after: $after, categories: $categories, actorType: $actorType, actorId: $actorId, writtenBy: $writtenBy, dateFrom: $dateFrom, dateTo: $dateTo, search: $search) {
timeZone
}
}
ArgumentsLink to Arguments section
| Name | Type | Description |
|---|---|---|
| first | Int | Cards per page, 1 to 50 |
| after | String | |
| categories | List (AccountActivityCategory) | |
| actorType | String | |
| actorId | ID | |
| writtenBy | EventWrittenBy | |
| dateFrom | ISO8601Date | First day in the warren time zone |
| dateTo | ISO8601Date | Last day in the warren time zone |
| search | String | Matches the record id or name, or the event type |